How to restrict solr 7.4 to use TLS 1.2 only?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

How to restrict solr 7.4 to use TLS 1.2 only?

Keith Kenneth
How to restrict solr 7.4 to use TLS 1.2 only?

Keith
Reply | Threaded
Open this post in threaded view
|

RE: How to restrict solr 7.4 to use TLS 1.2 only?

Davis, Daniel (NIH/NLM) [C]
Best Option - Put a load balancer/distributor in front of it.

Other Option - Edit jetty.xml.    Solr uses Jetty, and so the key is in the HTTPConfiguration for jetty.

This file, in my installation is in solr-X.Y.Z/etc/jetty.xml

There is some documentation at https://www.eclipse.org/jetty/javadoc/9.4.8.v20171121/org/eclipse/jetty/server/HttpConfiguration.html

And probably some guides on TLS 1.2 for Jetty.xml on the web.

My installation also uses templates to partially override the solr installation before setting it up using the standard scripts, and that is what I would suggest here...

-----Original Message-----
From: Keith Kenneth <[hidden email]>
Sent: Wednesday, October 10, 2018 12:36 PM
To: [hidden email]
Subject: How to restrict solr 7.4 to use TLS 1.2 only?

How to restrict solr 7.4 to use TLS 1.2 only?

Keith